LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_MODULE := pisces_libs_static
LOCAL_MODULE_FILENAME := libpisces


LOCAL_SRC_FILES := \
	$(LOCAL_PATH)/../map/TL_Mask2.cpp\
	$(LOCAL_PATH)/../map/TL_Mask.cpp\
	$(LOCAL_PATH)/../map/TL_Block.cpp\
	$(LOCAL_PATH)/../map/TL_IPathFinder.cpp\
	$(LOCAL_PATH)/../map/TL_PathFinder.cpp\
	$(LOCAL_PATH)/../map/TL_ScreenBuf.cpp\
	$(LOCAL_PATH)/../map/SceneMap.cpp\
	$(LOCAL_PATH)/../map/PathFinder.cpp\
	$(LOCAL_PATH)/../animationSprite/AnimationManager.cpp \
	$(LOCAL_PATH)/../animationSprite/AnimationSprite.cpp \
	$(LOCAL_PATH)/../animationSprite/ImageUtils.cpp \
	$(LOCAL_PATH)/../voice/QVoice.cpp \
	$(LOCAL_PATH)/../auto/lua_pisces_auto.cpp \
	$(LOCAL_PATH)/../net/TLClientNet.cpp \
	$(LOCAL_PATH)/../net/TLClientNetBuf.cpp \
	$(LOCAL_PATH)/../net/TLNetCrypt.cpp \
	$(LOCAL_PATH)/../map/MgcAnimation.cpp\
	$(LOCAL_PATH)/../update/md5.cpp\
	$(LOCAL_PATH)/../update/version.cpp\
	$(LOCAL_PATH)/../update/update.cpp \
	$(LOCAL_PATH)/../update/down_file.cpp \
	$(LOCAL_PATH)/../SDK/SDKManager.cpp \
	$(LOCAL_PATH)/../SDK/android/SDKManagerAndroid.cpp \
	$(LOCAL_PATH)/../SDK/XLogicManager.cpp \
	$(LOCAL_PATH)/../SDK/LuaAction.cpp \
	$(LOCAL_PATH)/../SDK/PaySdkManager.cpp \
	$(LOCAL_PATH)/../SDK/reyun/ReYunHelper_android.cpp \
	$(LOCAL_PATH)/../SDK/toutiao/TouTiaoHelper_android.cpp \
	$(LOCAL_PATH)/../C2DXShareSDK/C2DXShareSDK.cpp \
	$(LOCAL_PATH)/../C2DXShareSDK/ShareSdkHelper.cpp \
	$(LOCAL_PATH)/../C2DXShareSDK/android/ShareSDKUtils.cpp \
	$(LOCAL_PATH)/../C2DXShareSDK/android/JSON/CCJSONConverter.cpp \
	$(LOCAL_PATH)/../C2DXShareSDK/android/JSON/cJSON/cJSON_share.c   \
	$(LOCAL_PATH)/../Mp3Encode.cpp \
	$(LOCAL_PATH)/../Global.cpp \
	$(LOCAL_PATH)/../Camera/CameraHelper_android.cpp

LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/../protobuf-lite \
	$(LOCAL_PATH)/../../../cocos2d-x/extensions \
	$(LOCAL_PATH)/../../../cocos2d-x/cocos \
	$(LOCAL_PATH)/../../../cocos2d-x/cocos/quick_libs/src/extra \
	$(LOCAL_PATH)/../../../cocos2d-x/cocos/scripting/lua-bindings/manual \
	$(LOCAL_PATH)/../../../cocos2d-x/external \
	$(LOCAL_PATH)/../../../cocos2d-x/external/lua/lua \
	$(LOCAL_PATH)/../../../cocos2d-x/external/lua/tolua \
	$(LOCAL_PATH)/../../../cocos2d-x/external/curl/include/android \
	$(LOCAL_PATH)/../../../cocos2d-x/external/openssl/include/android \
	$(LOCAL_PATH)/../../../cocos2d-x/tools/simulator/libsimulator/lib \
	$(LOCAL_PATH)/../../../cocos2d-x/cocos/editor-support \
	$(LOCAL_PATH)/../../../lib \
	$(LOCAL_PATH)/../../../lib/GCloudVoice/include_android \
	$(LOCAL_PATH)/../../../runtime-src/SDK \
	$(LOCAL_PATH)/../SDK \
	$(LOCAL_PATH)/../SDK/reyun \
	$(LOCAL_PATH)/../SDK/toutiao \
	$(LOCAL_PATH)/../../../runtime-src/ \
	$(LOCAL_PATH)/../animationSprite \
	$(LOCAL_PATH)/../net \
	$(LOCAL_PATH)/../map \
	$(LOCAL_PATH)/../update \
	$(LOCAL_PATH)/../superSdk \
	$(LOCAL_PATH)/../superSdk/base \
	$(LOCAL_PATH)/../SDK \
	$(LOCAL_PATH)/../C2DXShareSDK \
	$(LOCAL_PATH)/../C2DXShareSDK/android \
	$(LOCAL_PATH)/../C2DXShareSDK/android/JSON \
	$(LOCAL_PATH)/../C2DXShareSDK/android/JSON/cJSON   \
	$(LOCAL_PATH)/../voice \
	$(LOCAL_PATH)/../Camera \
	$(LOCAL_PATH)/..

LOCAL_STATIC_LIBRARIES := cocos2d_lua_static

LOCAL_STATIC_LIBRARIES += cocos2d_static

LOCAL_STATIC_LIBRARIES += quick_libs_static

LOCAL_STATIC_LIBRARIES += mp3_lame_libs_static

LOCAL_STATIC_LIBRARIES += spine_static

LOCAL_STATIC_LIBRARIES += GCloudVoice

include $(BUILD_STATIC_LIBRARY)

include $(CLEAR_VARS)
LOCAL_MODULE := GCloudVoice
LOCAL_SRC_FILES := $(LOCAL_PATH)/../../../lib/GCloudVoice/libs/Android/$(TARGET_ARCH_ABI)/libGCloudVoice.so
include $(PREBUILT_SHARED_LIBRARY)

$(call import-module,./../../../lib/mp3lame)
$(call import-module,editor-support/spine)
$(call import-module,scripting/lua-bindings/proj.android)
$(call import-module,proj.android)
